summaryrefslogtreecommitdiffstats
path: root/gettext-tools/tests/xgettext-c-2
diff options
context:
space:
mode:
Diffstat (limited to 'gettext-tools/tests/xgettext-c-2')
-rwxr-xr-xgettext-tools/tests/xgettext-c-247
1 files changed, 47 insertions, 0 deletions
diff --git a/gettext-tools/tests/xgettext-c-2 b/gettext-tools/tests/xgettext-c-2
new file mode 100755
index 0000000..d33f579
--- /dev/null
+++ b/gettext-tools/tests/xgettext-c-2
@@ -0,0 +1,47 @@
+#! /bin/sh
+
+# Test C support: comments meant for xgettext, and whitespace.
+
+tmpfiles=""
+trap 'rm -fr $tmpfiles' 1 2 3 15
+
+tmpfiles="$tmpfiles xg-test2.in.c"
+cat <<EOF > xg-test2.in.c
+This is a test of the xgettext functionality.
+/* xgettext:no-c-format */
+_("extract me")
+Sometimes keywords can be spread apart
+xgettext:no-c-format
+_ ( "what about me" )
+And even further on accasion
+_
+(
+"hello"
+)
+EOF
+
+tmpfiles="$tmpfiles xg-test2.po"
+: ${XGETTEXT=xgettext}
+${XGETTEXT} -d xg-test2 -k_ --omit-header --no-location xg-test2.in.c
+test $? = 0 || { rm -fr $tmpfiles; exit 1; }
+
+tmpfiles="$tmpfiles xg-test2.ok"
+cat <<EOF > xg-test2.ok
+#, no-c-format
+msgid "extract me"
+msgstr ""
+
+msgid "what about me"
+msgstr ""
+
+msgid "hello"
+msgstr ""
+EOF
+
+: ${DIFF=diff}
+${DIFF} xg-test2.ok xg-test2.po
+result=$?
+
+rm -fr $tmpfiles
+
+exit $result